Bug 840194 - tmpfiles configuration file in wrong directory
tmpfiles configuration file in wrong directory
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: spice-vdagent (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-14 03:47 EDT by Eric Smith
Modified: 2012-09-17 18:11 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 18:11:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Smith 2012-07-14 03:47:46 EDT
Description of problem:

This package installs a configuration file in /etc/tmpfiles.d which actually belongs in the %{_prefix}/lib/tmpfiles.d directory.  Putting a configuration file in /etc/tmpfiles.d is a violation of the Fedora tmpfiles packaging guidelines and contrary to the intent of /etc/tmpfiles.d to be used by local administrators to override default policy in /usr/lib/tmpfiles.d as documented in the tmpfiles.d(5) man page.

The Fedora Tmpfiles.d packaging guidelines may be found at:
http://fedoraproject.org/wiki/Packaging:Tmpfiles.d
Comment 1 Hans de Goede 2012-08-26 07:48:23 EDT
Thanks for the bug report, this has been fixed upstream:
http://cgit.freedesktop.org/spice/linux/vd_agent/commit/?id=57bbf7da36842980cd1c97e9291adda325f12792

This will get picked up with the next upstream release (which is planned to happen soon).
Comment 2 Fedora Update System 2012-09-01 14:54:30 EDT
spice-vdagent-0.12.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/spice-vdagent-0.12.0-1.fc18
Comment 3 Fedora Update System 2012-09-02 15:37:37 EDT
Package spice-vdagent-0.12.0-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing spice-vdagent-0.12.0-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-13159/spice-vdagent-0.12.0-1.fc18
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-09-17 18:11:31 EDT
spice-vdagent-0.12.0-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.